[alpine-aports] [PATCH] testing/borgbackup: new aport

Olivier Mauras
Details
Message ID
<20160531221944.6ff8eba0c5f63ce853adbc5e@mauras.ch>
Sender timestamp
1464725984
DKIM signature
missing
Download raw message
Patch: +39 -0
 testing/borgbackup/APKBUILD | 39 +++++++++++++++++++++++++++++++++++++++
 1 file changed, 39 insertions(+)
 create mode 100644 testing/borgbackup/APKBUILD

diff --git a/testing/borgbackup/APKBUILD b/testing/borgbackup/APKBUILD
new file mode 100644
index 0000000..8556aa6
--- /dev/null
+++ b/testing/borgbackup/APKBUILD
@@ -0,0 +1,39 @@
+pkgname=borgbackup
+pkgver=1.0.3
+pkgrel=0
+pkgdesc="Deduplicating backup program"
+url="https://borgbackup.readthedocs.io/"
+arch="all"
+license="bsd"
+depends="python3 py3-msgpack"
+depends_dev=""
+makedepends="$depends_dev python3 python3-dev 
+		lz4-dev acl-dev attr-dev openssl-dev"
+install=""
+subpackages=""
+source="https://github.com/$pkgname/borg/releases/download/$pkgver/$pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+        cd "$_builddir"
+        python3 setup.py build || return 1
+}
+
+package() {
+        cd "$_builddir"
+        python3 setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="94b81bdba533d1f9f70785cd8c2234a0  borgbackup-1.0.3.tar.gz"
+sha256sums="7a79c53f2fd3f8a687bb10dbec4591ce95878f89f4467544ef4e7a005407f94f  borgbackup-1.0.3.tar.gz"
+sha512sums="323f2625441580be5cb9684ae63d9cd28f6c72df7c199c712466ea7009a1d47ffbcac1204b9dc8f25f7017a9ec2edcdac31d272fdb082f13a08f4d19bbc7bcf2  borgbackup-1.0.3.tar.gz"
-- 
2.8.2